Bug 431604 - After I resume from suspend, only one CPU core is active out of 2.
After I resume from suspend, only one CPU core is active out of 2.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 15:56 EST by Aniket
Modified: 2009-12-18 01:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Klaptop Snapshot after resume (27.40 KB, image/jpeg)
2008-02-05 15:58 EST, Aniket
no flags Details

  None (edit)
Description Aniket 2008-02-05 15:56:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
The computer Dell Vostro 1400 Laptop suspends fine when clicked "suspend computer" from KDE logout menu. On resuming by lifting the Lid , KLaptop shows Processor 2 state as "deactivated" . Restarting the cpuspeed service produces following output

#/etc/init.d/cpuspeed restart
Disabling ondemand cpu frequency scaling: /etc/init.d/cpuspeed: line 212: /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor: No such file or directory
/etc/init.d/cpuspeed: line 213: /sys/devices/system/cpu/cpu1/cpufreq/scaling_setspeed: No such file or directory
                                                           [  OK  ]
/etc/init.d/cpuspeed: line 62: /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor: No such file or directory
Enabling ondemand cpu frequency scaling:                   [  OK  ]

This is happening all time since I have installed Fedora 8. I never tested previous versions of Fedora on this Machine. 

My Hardware
Core 2 Duo T5470 1.6Ghz 
Nvidia 8400M
Intel Chipset 965
Intel 3945 ABG Wireless

Version-Release number of selected component (if applicable):
pm-utils-0.99.4-6.fc8 , kernel-2.6.23.14-107.fc8 

How reproducible:
Always


Steps to Reproduce:
1.Click logout in KDE , or Gnome and select Suspend , or use command "pm-suspend"
2.CLose Laptop lid and open again.
3.On resume , see status of processor 2 in KLaptop . 

Actual Results:
Only one core active on resume

Expected Results:
Both Cores should be active on resume. 

Additional info:
All other things work fine after suspend, even Wireless and Binary Nvidia Driver.
Comment 1 Aniket 2008-02-05 15:58:39 EST
Created attachment 294045 [details]
Klaptop Snapshot after resume
Comment 2 Aniket 2008-02-05 16:01:49 EST
Comment on attachment 294045 [details]
Klaptop Snapshot after resume

cpuinfo output

# cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU	 T5470	@ 1.60GHz
stepping	: 13
cpu MHz 	: 800.000
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id 	: 0
cpu cores	: 2
fdiv_bug	: no
hlt_bug 	: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc
arch_perfmon pebs bts pni monitor ds_cpl est tm2 ssse3 cx16 xtpr lahf_lm ida
bogomips	: 3195.15
clflush size	: 64

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Duo CPU	 T5470	@ 1.60GHz
stepping	: 13
cpu MHz 	: 1596.014
cache size	: 2048 KB
physical id	: 0
siblings	: 2
core id 	: 1
cpu cores	: 2
fdiv_bug	: no
hlt_bug 	: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc
arch_perfmon pebs bts pni monitor ds_cpl est tm2 ssse3 cx16 xtpr lahf_lm ida
bogomips	: 3192.48
clflush size	: 64
Comment 3 Till Maas 2008-02-05 18:04:55 EST
I guess this needs to be fixed in the kernel, therefore I reassign this bug to
the kernel component.
Comment 4 Chuck Ebbert 2008-02-06 15:12:40 EST
What is in the system log from the time of the resume?
Comment 5 Aniket 2008-02-29 17:18:05 EST
Sorry for the delay
Here is th log from the time I suspended till I came back again . .

eb 29 15:06:31 mymachine ntpd[2232]: ntpd exiting on signal 15
Feb 29 15:14:11 mymachine kernel: Stopping tasks ... done.
Feb 29 15:14:11 mymachine kernel: Suspending console(s)
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] Stopping disk
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:03:01.1
disabled
Feb 29 15:14:11 mymachine kernel: NVRM: RmPowerManagement: 3
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1f.1
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1d.7
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1d.2
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1d.1
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1d.0
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1b.0
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1a.7
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1a.1
disabled
Feb 29 15:14:11 mymachine kernel: ACPI: PCI interrupt for device 0000:00:1a.0
disabled
Feb 29 15:14:11 mymachine kernel: Disabling non-boot CPUs ...
Feb 29 15:14:11 mymachine kernel: Breaking affinity for irq 1
Feb 29 15:14:11 mymachine kernel: Breaking affinity for irq 12
Feb 29 15:14:11 mymachine acpid: client has disconnected
Feb 29 15:14:11 mymachine kernel: Breaking affinity for irq 14
Feb 29 15:14:11 mymachine kernel: Breaking affinity for irq 21
Feb 29 15:14:11 mymachine kernel: Breaking affinity for irq 218
Feb 29 15:14:11 mymachine kernel: CPU 1 is now offline
Feb 29 15:14:11 mymachine kernel: SMP alternatives: switching to UP code
Feb 29 15:14:11 mymachine kernel: CPU1 is down
Feb 29 15:14:11 mymachine kernel: Intel machine check architecture supported.
Feb 29 15:14:11 mymachine kernel: Intel machine check reporting enabled on CPU#0.
Feb 29 15:14:11 mymachine kernel: Enabling non-boot CPUs ...
Feb 29 15:14:11 mymachine kernel: SMP alternatives: switching to SMP code
Feb 29 15:14:11 mymachine kernel: Booting processor 1/1 eip 3000
Feb 29 15:14:11 mymachine kernel: CPU 1 irqstacks, hard=c07aa000 soft=c078a000
Feb 29 15:14:11 mymachine kernel: Initializing CPU#1
Feb 29 15:14:11 mymachine kernel: Calibrating delay using timer specific
routine.. 3192.46 BogoMIPS (lpj=1596234)
Feb 29 15:14:11 mymachine kernel: monitor/mwait feature present.
Feb 29 15:14:11 mymachine kernel: CPU: L1 I cache: 32K, L1 D cache: 32K
Feb 29 15:14:11 mymachine kernel: CPU: L2 cache: 2048K
Feb 29 15:14:11 mymachine kernel: CPU: Physical Processor ID: 0
Feb 29 15:14:11 mymachine kernel: CPU: Processor Core ID: 1
Feb 29 15:14:11 mymachine kernel: Intel machine check architecture supported.
Feb 29 15:14:11 mymachine kernel: Intel machine check reporting enabled on CPU#1.
Feb 29 15:14:11 mymachine kernel: CPU1: Intel(R) Core(TM)2 Duo CPU     T5470  @
1.60GHz stepping 0d
Feb 29 15:14:11 mymachine kernel: ACPI Error (psloop-0136): Found unknown opcode
17 at AML address f882c3c3 offset 0, ignoring [20070126]
Feb 29 15:14:11 mymachine kernel: ACPI Error (psargs-0355): [DB��] Namespace
lookup failure, AE_NOT_FOUND
Feb 29 15:14:11 mymachine kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_PR_.CPU1._PCT] (Node c20f8318), AE_NOT_FOUND
Feb 29 15:14:11 mymachine kernel: ACPI Exception (processor_perflib-0170):
AE_NOT_FOUND, Evaluating _PCT [20070126]
Feb 29 15:14:11 mymachine kernel: CPU1 is up
Feb 29 15:14:11 mymachine kernel: Switched to high resolution mode on CPU 1
Feb 29 15:14:11 mymachine kernel: PCI: Enabling device 0000:00:1a.0 (0000 -> 0001)
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 20
(level, low) -> IRQ 20
Feb 29 15:14:11 mymachine kernel: usb usb3: root hub lost power or was reset
Feb 29 15:14:11 mymachine kernel: PCI: Enabling device 0000:00:1a.1 (0000 -> 0001)
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21
(level, low) -> IRQ 21
Feb 29 15:14:11 mymachine kernel: usb usb4: root hub lost power or was reset
Feb 29 15:14:11 mymachine kernel: PCI: Enabling device 0000:00:1a.7 (0000 -> 0002)
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 22
(level, low) -> IRQ 19
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21
(level, low) -> IRQ 21
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 20
(level, low) -> IRQ 20
Feb 29 15:14:11 mymachine kernel: usb usb5: root hub lost power or was reset
Feb 29 15:14:11 mymachine kernel: PCI: Enabling device 0000:00:1d.1 (0000 -> 0001)
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 21
(level, low) -> IRQ 21
Feb 29 15:14:11 mymachine kernel: usb usb6: root hub lost power or was reset
Feb 29 15:14:11 mymachine kernel: PCI: Enabling device 0000:00:1d.2 (0000 -> 0001)
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 22
(level, low) -> IRQ 19
Feb 29 15:14:11 mymachine kernel: usb usb7: root hub lost power or was reset
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 20
(level, low) -> IRQ 20
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 16
(level, low) -> IRQ 16
Feb 29 15:14:11 mymachine kernel: NVRM: RmPowerManagement: 4
Feb 29 15:14:11 mymachine kernel: ata4.00: configured for UDMA/33
Feb 29 15:14:11 mymachine kernel: ata3: SATA link down (SStatus 0 SControl 300)
Feb 29 15:14:11 mymachine kernel: tg3: eth0: Link is down.
Feb 29 15:14:11 mymachine kernel: ata1: SATA link up 1.5 Gbps (SStatus 113
SControl 300)
Feb 29 15:14:11 mymachine kernel: ata1.00: configured for UDMA/100
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] 156301488 512-byte hardware
sectors (80026 MB)
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] Write Protect is off
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] Write cache: enabled, read
cache: enabled, doesn't support DPO or FUA
Feb 29 15:14:11 mymachine kernel: ACPI: PCI Interrupt 0000:03:01.1[B] -> GSI 18
(level, low) -> IRQ 22
Feb 29 15:14:11 mymachine kernel: sd 0:0:0:0: [sda] Starting disk
Feb 29 15:14:11 mymachine kernel: Restarting tasks ... done.
Feb 29 15:14:11 mymachine kernel: usb 2-6: USB disconnect, address 3
Feb 29 15:14:11 mymachine kernel: tg3: eth0: Link is up at 100 Mbps, full duplex.
Feb 29 15:14:11 mymachine kernel: tg3: eth0: Flow control is off for TX and off
for RX.
Feb 29 15:14:11 mymachine kernel: usb 2-6: new high speed USB device using
ehci_hcd and address 5
Feb 29 15:14:11 mymachine kernel: usb 2-6: configuration #1 chosen from 1 choice
Feb 29 15:14:11 mymachine kernel: uvcvideo: Found UVC 1.00 device Laptop
Integrated Webcam (05a9:2640)
Feb 29 15:14:11 mymachine kernel: uvcvideo: Failed to query (135) UVC control 1
(unit 0) : -32 (exp. 26).
Feb 29 15:14:11 mymachine kernel: usb 6-1: USB disconnect, address 2
Feb 29 15:14:11 mymachine acpid: client connected from 2512[0:0]
Feb 29 15:14:11 mymachine kernel: usb 6-1: new low speed USB device using
uhci_hcd and address 3
Feb 29 15:14:11 mymachine kernel: usb 6-1: configuration #1 chosen from 1 choice
Feb 29 15:14:11 mymachine kernel: input: Logitech USB Optical Mouse as
/class/input/input10
Feb 29 15:14:11 mymachine kernel: input: USB HID v1.11 Mouse [Logitech USB
Optical Mouse] on usb-0000:00:1d.1-1
Comment 6 Aniket 2008-09-24 20:13:53 EDT
Hello all, 
I still have this bug on my laptop in fedora 9 . I did notice that with Ubuntu 8.04, this bug is not present anymore (it was there with Ubuntu 7.10). Also many other Ubuntu users had this bug and now its fixed for Ubuntu in the latest updates, but still Fedora has problems. 

Here is the link of the Ubuntu Bugreport 
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/133530

Please devs try to fix this one, my battery life is terrible without the suspend-to-ram functionality.
Comment 7 John Barnes 2008-11-10 05:44:37 EST
I can confirm this on a Latitude D830. I submitted a bug report (#415521) in 2007 on Fedora 8 concerning this issue and gave details as requested (i.e. same symptoms as in above posting). This bug HAS STILL NOT BEEN FIXED. I don't understand why this has received a low/medium priority given that it renders laptop suspend effectively useless - i.e. a reboot is necessary to restore the second core.
Comment 8 Bug Zapper 2008-11-26 04:42:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Aniket 2009-02-14 03:03:05 EST
Hello all!

I am very sorry to report that this bug still plagues fedora 10!!
I am running the latest kernel and all updates installed!
I dont see why this bug should not get top priority now, its been like this for more than a year . Please please someone try to fix it.
Comment 10 Aniket 2009-03-13 16:41:18 EDT
Hi all, an update on this bug 
I just got a new laptop (Dell Studio XPS 13) which is based on Nvidia MCP79 chipset and has an Intel Core 2 Duo P8400 CPU. On the new system , this bug is not present, but it still plagues my older laptop (Dell Vostro 1400) with the Intel 965 chipset, and also a friends Sony Laptop with Intel 945 chipset.
Comment 11 Chuck Ebbert 2009-03-28 09:18:11 EDT
Bug 415521 looks the same as this one and was solved with the latest kernel update. Please try it.
Comment 12 Aniket 2009-03-28 17:46:50 EDT
Yes Indeed, I tried it on my Vostro 1400 after doing all the latest standard Fedora updates and it does seem to work perfect now. I tested suspend-resume twice and its good. 

Also about my previous comment, the bug actually may not be hardware dependent as I straightaway did all the updates(including the latest kernel) on the new laptop after installing F10, and that may be the reason it worked. So the bug may have been really solved by the latest kernel and ACPI updates in Fedora.
Comment 13 Bug Zapper 2009-11-18 05:09:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:03:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.